<div class="body">
  <div class="left" />
  <main><slot /></main>
  <div class="right" />
</div>

<svelte:head
  ><link rel="preconnect" href="https://fonts.gstatic.com" />
  <link
    href="https://fonts.googleapis.com/css2?family=Roboto&display=swap"
    rel="stylesheet"
  /></svelte:head
>

<style>
  :global(*) {
    font-family: "Roboto", sans-serif;

    color: var(--gray-80);
    margin: 0;
    padding: 0;
    font-size: 1rem;
    line-height: 1.5rem;
    text-rendering: optimizeLegibility;
    box-sizing: border-box;
    /* Carbon colors */

    --blue-40: #78a9ff;
    --blue-60: #0f62fe;
    --blue-70: #0043ce;

    --gray-10: #f4f4f4;
    --gray-20: #e0e0e0;
    --gray-40: #a8a8a8;
    --gray-50: #8d8d8d;
    --gray-60: #6f6f6f;
    --gray-70: #525252;
    --gray-80: #393939;
    --gray-100: #161616;

    --red-60: #da1e28;
    --green-40: #42be65;
    --yellow: #f1c21b;
  }

  :global(pre) {
    padding: 1rem;
    width: 100%;
    background: var(--gray-80);
    color: white;
    margin-bottom: 1.5rem;
    overflow: auto;
    border-radius: 3px;
  }
  :global(code) {
    background-color: var(--gray-20);
    border-radius: 3px;
    font-family: courier, monospace;
    padding: 0 3px;
  }

  :global(a) {
    color: var(--blue-60);
    text-decoration: none;
  }
  :global(a:hover) {
    text-decoration: underline;
  }

  .body {
    display: grid;
    width: 100%;
    height: 100%;
    min-height: 100vw;

    grid-template-columns: 2fr 4fr 2fr;
    grid-template-areas: "left main right";
  }

  .left {
    grid-area: left;
    background: var(--gray-10);
  }

  .right {
    grid-area: right;
    background: var(--gray-10);
  }

  main {
    max-width: 100%;
    grid-area: main;
    padding: 2rem;
    display: flex;
    flex-direction: column;
  }

  @media (max-width: 640px) {
    .body {
      grid-template-columns: 2fr 6fr 2fr;
      grid-template-areas: "main main main";
    }
    main {
      padding: 1rem;
    }
  }
</style>
